## org.biojava.bio.symbol
Class Location.LocationComparator

    java.lang.Object
      |
      +--org.biojava.bio.symbol.Location.LocationComparator

Enclosing class:
  Location

public static final class Location.LocationComparator
extends java.lang.Object
implements java.util.Comparator, java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`Location.LocationComparator()`

Method Summary
`boolean` `areEqual(Location l1, Location l2)` Test whether two locations are equal or not
`int` `compare(java.lang.Object o1, java.lang.Object o2)`
`boolean` `equals(java.lang.Object obj)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Location.LocationComparator

    public Location.LocationComparator()

Method Detail

### compare

    public int compare(java.lang.Object o1,
                       java.lang.Object o2)

  Specified by:
    compare in interface java.util.Comparator

### equals

    public boolean equals(java.lang.Object obj)

  Specified by:
    equals in interface java.util.Comparator
  Overrides:
    equals in class java.lang.Object

### areEqual

    public boolean areEqual(Location l1,
                            Location l2)

  Test whether two locations are equal or not